html, body {
    height: 100%; /* Upewnia się, że przeglądarka ma pełną wysokość */
    margin: 0;    /* Usuwa domyślne marginesy */
}

.container {
    position: relative;
    width: 100%;
    height: 100vh;
    margin: 0 auto;
    border: 0px solid #000; 
    display: flex;
    flex-direction: column;
    align-items: center;
}  

.kontakt {
    position: relative;  
    width: 90%;
    background-color: white;
    border-radius: 15px;
    z-index: 2;
    border: 0px solid #000;
    box-shadow: 0px 0px 20px 0px rgb(66, 68, 90);
    display: flex;
    flex-direction: column;
    padding: 10px;
    margin: 10px;
} 

.pasek_gorny {
    width: 100%;
    height: 95px;
    background-color: rgb(33, 105, 41);
    /* display: flex; */
    align-items: center;
}

.strona{
    position: absolute;
    top: 20px;
    left: 40px;
}

.kursor {
    cursor: pointer;
}

.zapisz{
    position: absolute;
    right: 50px;
    top: 30px;
    text-align: right;
}

.mapa {
    width: auto;
    height: 100%;
    overflow: hidden;
    border: 1px solid #ccc;
    position: relative;
    resize: both;
  }
  
  .image {
    position: absolute;
    width: 600px; /* obraz zachowuje swój rozmiar */
    height: auto;
    cursor: grab;
    user-select: none;
  }

.tlo{
    background-color: rgb(183 193 184);
}

.sticky-header{
    position: sticky;
    width: 100%;
    z-index: 999;
    border-radius: 10px; 
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 50px;
    min-height: 50px;
    top: 0;
    background-color: #13ee4a;
}

.main-menu-item a {
    text-decoration: none;
    color: black;
    font-weight: bold;
    padding: 10px 15px;
    display: block;
}

/* Stylizacja przycisku hamburgera */
.hamburger {
    display: none;
    font-size: 30px;
    background: none;
    border: none;
    cursor: pointer;
    color: black;
}

.fontTytul{
    margin-top: 0;
    margin-bottom: 1em;
    font-size: 12px;
    color: red;
}

.tytul{
    position: relative;
    display: flex;
    width: 100%;
    justify-content: space-around;
}

.slider-container {
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: relative;
}

.slider {
    display: flex;
    width: 100%;
    height: 100%;
    transition: transform 0.5s ease-in-out;
}

.slider img {
    width: 100%;
    flex: 0 0 100%; /* Każde zdjęcie zajmuje 100% kontenera */
    height: auto;
}



.usunSzkolenie{
    position: relative;
    display: flex;
    flex-direction: column;
    width: 270px;
    height: 180px;
    padding: 20px;
    border: 2px solid white;
    background-size: cover;
    background-color: transparent;
    margin: 10px;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    transition: transform 0.3s ease;
}

.fontSize{
    margin-top: 0;
    margin-bottom: 0;
    font-size: 12px;
}

.marginesGorny{
    margin-top: 15px;
}

/* .prawa{
    position: absolute;
    right: 30px;
} */

.dodajSzkolenie{
    position: relative;
    display: flex;
    flex-direction: column;
    width: 275px;
    /* height: 180px; */
    padding: 20px;
    border: 2px solid white;
    background-size: cover;
    background-color: transparent;
    margin: 10px;
    font-size: 15px;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    transition: transform 0.3s ease;
}

.szkolenie {
    position: relative;
    background-color: #f0f0f0;
    padding: 10px;
    margin: 8px 0;
    border-radius: 10px;
    /* box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1); */
}

#calendar {
    position: relative;
    width: 100%;
}


/* .szkolenie:hover{
    transform: scale(1.2);
} */

.edycja {
    display: flex;              /* Ustawienie flexboxa */
    justify-content: space-between; /* Równomierne rozmieszczenie elementów */
    align-items: center;        /* Wyrównanie w pionie */
    padding: 10px;              /* Dodatkowe odstępy wewnętrzne */
}

.edycja div {
    margin: 0 10px; /* Odstępy między elementami */
}

.lewa {
    color: blue;
}

.srodek {
    color: green;
}

.prawa {
    color: red;
}

.usun{
    position: absolute;
    right: 20px;
}

.onTime{
    width: 80px;
}

.switch {
    position: relative;
    display: inline-block;
    width: 40px;
    height: 23px;
}


.prawaEd{
    position: absolute;
    right: 30px;
}

.lewaEd{
    position: absolute;
    left: 30px;
}


.tekst{
    display: flex;
    justify-content: center;
    width: 100%;
    height: 15px;
}

.marginesDolny{
    margin-bottom: 15px;
}

.harmonogramLista {
    position: absolute;
    top: 60px;                     
    width: 90%;
    height: 88vh;
    background-color: white;
    border-radius: 15px;              
    z-index: 2;                    
    border: 0px solid #000; 
    box-shadow: 0px 0px 20px 0px rgb(66, 68, 90);
    flex-direction: column;
    padding: 10px;
    flex-wrap: nowrap;
    overflow-y: auto;
    align-items: center;
}

.listaTytul{
    margin-top: 0;
    margin-bottom: 1em;
    font-size: 1em;
    color: red;
}

.centralnie{
    position: relative;
    width: 100%;
    display: flex;
}

.main-menu{
    width: 100%;
}

.main-menu-inner {
    display: flex;
    list-style-type: none;
    padding: 0;
    justify-content: space-around;
    margin: 0;
}

.main-menu-item {
    margin: 0 10px;
}



#switch-container {
    flex: 1;
    overflow-y: auto;
    margin-bottom: 10px; /* Odstęp między kontenerem a przyciskiem */
}

.nowy_harmonogram {
    position: relative;
    background-color: #f0f0f0;
    padding: 10px;
    margin: 8px 0;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
} 

.form-group {
    margin-bottom: 10px;
    margin-top: 10px;
}

.dodaj_harmonogram {
    height: 40px;
    background-color: white;
    width: 100%;
    border-radius: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0px 0px 20px 0px rgb(66, 68, 90);
}

.naglowek{
        position: relative;
        top: 10px;
        width: 90%;
        background-color: white;
        border-radius: 15px;
        z-index: 2;
        box-shadow: 0px 0px 20px 0px rgb(66, 68, 90);
        display: flex;
        flex-direction: column;
        padding: 10px;
        align-items: center;
        overflow-y: auto;
        margin: 10px;
        font-size: 4vw;
    }














/* Ukrycie menu na mniejszych ekranach */
@media (max-width: 768px) {
    .main-menu-inner {
        display: none; /* Menu ukryte domyślnie */
        flex-direction: column;
        position: absolute;
        top: 50px;
        left: 0;
        background-color: #C1BAFA;
        width: 150px;
        padding: 10px 0;
        z-index: 1000;
    }

    .fc{
        font-size: 0.3em;
        height: 350px;
    }
    .main-menu-inner.active {
        display: flex; /* Menu widoczne po kliknięciu */
    }

    .hamburger {
        display: block; /* Hamburger widoczny */
    }

    .main-menu-item {
        margin: 10px 0; /* Dostosowanie odstępów w menu pionowym */
    }

    .main-menu-item a {
        text-align: center;
        display: block;
        padding: 10px 0;
    }
}


/* Styl dla pozycji pionowej (portrait) */
@media (orientation: portrait) {
    .kalendarz {
        position: relative;
        top: 20px;                     
        width: 90%;
        /* height: 88vh; */
        margin: 10px;
        background-color: white;
        border-radius: 15px;              
        z-index: 2;                    
        border: 0px solid #000; 
        box-shadow: 0px 0px 20px 0px rgb(66, 68, 90);
        display: flex;
        flex-direction: column;
        padding: 10px;
    }
    
    .harmonogramy {
        position: absolute;
        top: 60px;                     
        width: 90%;
        height: 88vh;
        background-color: white;
        border-radius: 15px;              
        z-index: 2;                    
        border: 0px solid #000; 
        box-shadow: 0px 0px 20px 0px rgb(66, 68, 90);
        display: flex;
        flex-direction: column;
        padding: 10px;
    }
    
    .kafelek {
        position: relative;
        top: 10px;
        width: 90%;
        height: 68vh;
        background-color: white;
        border-radius: 15px;
        z-index: 2;
        border: 0px solid #000;
        box-shadow: 0px 0px 20px 0px rgb(66, 68, 90);
        display: flex;
        flex-direction: column;
        padding: 10px;
        align-items: center;
        overflow-y: auto;
    }
}

/* Przewijany obszar harmonogramów */
#switch-container {
    flex: 1;
    overflow-y: auto;
    margin-bottom: 10px; /* Odstęp między kontenerem a przyciskiem */
}
  
  /* Styl dla pozycji poziomej (landscape) */
@media (orientation: landscape) {
    .kalendarz {
        position: relative;
        top: 20px;                     
        width: 90%;
        /* height: 72vh; */
        background-color: white;
        border-radius: 15px;              
        z-index: 2;                    
        border: 0px solid #000; 
        box-shadow: 0px 0px 20px 0px rgb(66, 68, 90);
        display: flex;
        flex-direction: column;
        padding: 10px;
        margin: 10px;
    }
    
    .harmonogramy {
        position: absolute;
        top: 60px;                     
        width: 90%;
        height: 72vh;
        background-color: white;
        border-radius: 15px;              
        z-index: 2;                    
        border: 0px solid #000; 
        box-shadow: 0px 0px 20px 0px rgb(66, 68, 90);
        display: flex;
        flex-direction: column;
        padding: 10px;
    }
    
    .kafelek {
        position: relative;
        top: 10px;
        width: 90%;
        height: 72vh;
        background-color: white;
        border-radius: 15px;
        z-index: 2;
        border: 0px solid #000;
        box-shadow: 0px 0px 20px 0px rgb(66, 68, 90);
        display: flex;
        flex-direction: column;
        padding: 10px;
        align-items: center;
        overflow-y: auto;
    }

}
